package tech.mercantec.easyeat.ui.shopping_list

import android.content.Context
import android.icu.text.DecimalFormat
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import android.widget.TextView
import tech.mercantec.easyeat.R
import tech.mercantec.easyeat.models.ShoppingListItem

class ShoppingItemAdapter(context: Context, items: Array<ShoppingListItem>)
    : ArrayAdapter<ShoppingListItem>(context, R.layout.shopping_list_item, items) {

    override fun getView(position: Int, convertView: View?, parent: ViewGroup): View {
        val item = getItem(position)
        val view = convertView ?: LayoutInflater.from(context).inflate(R.layout.shopping_list_item, parent, false)

        item?.let { item ->
            view.findViewById<TextView>(R.id.amount).text = DecimalFormat("#.##").format(item.amount)
            view.findViewById<TextView>(R.id.unit).text = item.unit
            view.findViewById<TextView>(R.id.name).text = item.name
        }

        return view
    }
}
